"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function getNodeMirror(rawConfig, releaseDir) {
    var _a;
    // This is a dynamic lookup since the 'use-node-version' option is allowed to be '<releaseDir>/<version>'
    const configKey = `node-mirror:${releaseDir}`;
    const nodeMirror = (_a = rawConfig[configKey]) !== null && _a !== void 0 ? _a : `https://nodejs.org/download/${releaseDir}/`;
    return normalizeNodeMirror(nodeMirror);
}
exports.default = getNodeMirror;
function normalizeNodeMirror(nodeMirror) {
    return nodeMirror.endsWith('/') ? nodeMirror : `${nodeMirror}/`;
}
//# sourceMappingURL=getNodeMirror.js.map